Public Canned Message Category

Prev Next

Public Canned Message Category

You need Manage Public Canned Messages permission to manage the public canned message categories.

Public Canned Message Category JSON Format

Public Canned Message Category is represented as simple flat JSON objects with the following keys:

Name Type Description
id guid Id of the canned message category.
name string Name of the canned message category.
parentId guid Parent of the canned message category.
order integer Order of the canned message category.
campaignLinkingToCannedMessageCategoriesConfigIds array guid array of campaigns which the canned message categories have been linked to

Get the list of Public Canned Message Categories

GET global/publicCannedMessageCategories

  • Parameters:

No Parameters

  • Response:

An array of Public Canned Message Category

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/publicCannedMessageCategories \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "id": "c2c165b7-d5ce-40e5-a492-f586f514a062",
      "name": "Live Chat",
      "parentId": "97AF5329-7C46-EB11-8100-00155D081D0C",
      "order": 1
  }
] 

Get a single Public Canned Message Category

GET global/publicCannedMessageCategories/{id}

  • Parameters:

No Parameters

  • Response:

Public Canned Message Category

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/publicCannedMessageCategories/c2c165b7-d5ce-40e5-a492-f586f514a062 \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "id": "c2c165b7-d5ce-40e5-a492-f586f514a062",
  "name": "Live Chat",
  "parentId": "97AF5329-7C46-EB11-8100-00155D081D0C",
  "order": 1,
  "campaignLinkingToCannedMessageCategoriesConfigIds": [
          "008f083c-751a-49f0-8g2h-ea3d048f04bf"
  ]
} 

Create a new Public Canned Message Category

POST global/publicCannedMessageCategories

  • Parameters:

Name Type in Required Description
name string body yes Name of the canned message category.
parentId guid body yes Parent of the canned message category.
order integer body no Order of the canned message category.
  • Response:

Public Canned Message Category

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/publicCannedMessageCategories \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"name":"Live Chat","parentId":"97AF5329-7C46-EB11-8100-00155D081D0C","order":1}' 

Response:

HTTP/1.1 201 Created

{
  "id": "c2c165b7-d5ce-40e5-a492-f586f514a062",
  "name": "Live Chat",
  "parentId": "97AF5329-7C46-EB11-8100-00155D081D0C",
  "order": 1,
  "campaignLinkingToCannedMessageCategoriesConfigIds": [
          "008f083c-751a-49f0-8g2h-ea3d048f04bf"
  ]
} 

Update the Public Canned Message Category

PUT global/publicCannedMessageCategories/{id}

  • Parameters:

Name Type in Required Description
name string body yes Name of the canned message category.
parentId guid body yes Parent of the canned message category.
order integer body no Order of the canned message category.
  • Response:

Public Canned Message Category

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/publicCannedMessageCategories/c2c165b7-d5ce-40e5-a492-f586f514a062 \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"name":"Live Chat","parentId":"97AF5329-7C46-EB11-8100-00155D081D0C","order":1}' 

Response:

HTTP/1.1 200 OK

{
  "id": "c2c165b7-d5ce-40e5-a492-f586f514a062",
  "name": "Live Chat",
  "parentId": "97AF5329-7C46-EB11-8100-00155D081D0C",
  "order": 1
} 

Remove the Public Canned Message Category

DELETE global/publicCannedMessageCategories/{id}

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/publicCannedMessageCategories/c2c165b7-d5ce-40e5-a492-f586f514a062 \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Copyright © 2022 Comm100 Network Corporation. All Rights Reserved.